<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Purpose:  using php strings as smarty resouces
 * @package mod
 * @subpackage dataplus
 * @copyright Joshua Thijssen <jthijssen@noxlogic.nl>
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

function smarty_resource_string_source($tplname, &$tplsource, &$smartyobj) {
    $tplsource = $tplname;
    return true;
}

function smarty_resource_string_timestamp($tplname, &$tpltimestamp, &$smartyobj) {
    $tpltimestamp = time();
    return true;
}

function smarty_resource_string_secure($tplname, &$smartyobj) {
    // assume all templates are secure
    return true;
}

function smarty_resource_string_trusted($tplname, &$smartyobj) {
    // not used for templates
}

// register the resource name "string"
$smarty->register_resource("string", array("smarty_resource_string_source",
                                           "smarty_resource_string_timestamp",
                                           "smarty_resource_string_secure",
                                           "smarty_resource_string_trusted"));